Retry Delivery
curl --request POST \
--url https://app.replyify.ai/api/webhook-subscriptions/{id}/deliveries/{deliveryId}/retry \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.replyify.ai/api/webhook-subscriptions/{id}/deliveries/{deliveryId}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.replyify.ai/api/webhook-subscriptions/{id}/deliveries/{deliveryId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhooks
Retry Delivery
Re-trigger a webhook delivery with the original payload
POST
/
api
/
webhook-subscriptions
/
{id}
/
deliveries
/
{deliveryId}
/
retry
Retry Delivery
Re-sends the exact same payload to the subscription’s endpoint. A new delivery log entry is created for the retry.
Path Parameters
string
required
Webhook subscription ID
string
required
Original delivery ID to retry
Examples
curl -X POST "https://app.replyify.ai/api/webhook-subscriptions/sub_123/deliveries/del_456/retry" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
"https://app.replyify.ai/api/webhook-subscriptions/sub_123/deliveries/del_456/retry",
{
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY" },
}
);
const { success, delivery } = await response.json();
Response Example
{
"success": true,
"delivery": {
"id": "uuid",
"status_code": 200,
"status": "delivered",
"delivered_at": "2025-01-27T12:05:00Z",
"created_at": "2025-01-27T12:05:00Z"
}
}
⌘I